#include <stdio.h>

int main()
{
  int n, c1, c2, c3, c4, br;
  //printf("Unesite pozitivan cetvorocifren broj: ");
  scanf("%d", &n);
  if(n<1000||n>9999) //ako uneti broj nije pozitivan i cetvorocifren ispisati -1
  {
    printf("-1\n");
    return -1;
  }
  c1=n%10;          //cifra jedinica
  c2=(n/10)%10;     //cifra desetica
  c3=(n/100)%10;    //cifra stotina
  c4=n/1000;        //cifra hiljda
  if(c1%2!=0)       //proverava da li su cifre neparne i ako jesu smanjuje ih za 1
    c1--;
  if(c2%2!=0)
    c2--;
  if(c3%2!=0)
    c3--;
  if(c4%2!=0)
    c4--;
  br=c1+c2*10+c3*100+c4*1000; 
  //printf("Novonastali broj je: ");
  printf("%d\n", br);
  return 0;
}
  
  